%define fontname    un-core 
%define fontdir     %{_datadir}/fonts/%{fontname}/
%define fontconfdir %{_sysconfdir}/fonts/conf.d/

%define archivename un-fonts-core
%define alphatag    080608

%define common_desc_en \
The UN set of Korean TrueType fonts is derived from the HLaTeX Type1 fonts \
made by Koaunghi Un in 1998. They were converted to TrueType with \
FontForge(PfaEdit) by Won-kyu Park in 2003. \
The Un Core set is composed of: \
\
- UnBatang, UnBatangBold: serif \
- UnDinaru, UnDinaruBold, UnDinaruLight: fantasy \
- UnDotum, UnDotumBold: sans-serif \
- UnGraphic, UnGraphicBold: sans-serif style \
- UnGungseo: cursive, brush-stroke \
- UnPilgi, UnPilgiBold: script \

%define common_desc_ko \
은글꼴 시리즈는 HLaTex개발자이신 은광희님이 1998년에 개발한 폰트입니다. \
2003년에 박원규님이 FontForge를 이용하여 트루타입폰트로 변환했습니다. \
은글꼴은 가장 일반적인 글꼴들입니다. \
\
Core 모음: \
- 은바탕, 은바탕굵은: serif \
- 은디나루, 은디나루굵은, 은디나루가는: fantasy \
- 은돋음, 은돋음굵은: sans-serif \
- 은그래픽, 은그래픽굵은: sans-serif style \
- 은궁서: cursive, brush-stroke \
- 은필기, 은필기굵은: script \

Name:        %{fontname}-fonts
Version:     1.0.2
Release:     0.6.%{alphatag}%{?dist}
Summary:     Un Core family of Korean TrueType fonts
Summary(ko): 한글 은글꼴 Core 모음

Group:     User Interface/X
License:   GPLv2
URL:       http://kldp.net/projects/unfonts/
Source0:   http://kldp.net/frs/download.php/4695/%{archivename}-%{version}-%{alphatag}.tar.gz
Source1:   %{name}-batang-fontconfig.conf
Source2:   %{name}-batangbold-fontconfig.conf
Source3:   %{name}-dinaru-fontconfig.conf
Source4:   %{name}-dinarubold-fontconfig.conf
Source5:   %{name}-dinarulight-fontconfig.conf
Source6:   %{name}-dotum-fontconfig.conf
Source7:   %{name}-dotumbold-fontconfig.conf
Source8:   %{name}-graphic-fontconfig.conf
Source9:   %{name}-graphicbold-fontconfig.conf
Source10:  %{name}-gungseo-fontconfig.conf
Source11:  %{name}-pilgi-fontconfig.conf
Source12:  %{name}-pilgibold-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch


%define un_subpkg() \
%package %1 \
Summary:     Un Core fonts - %(echo %2) \
Summary(ko): 한글 은글꼴 Core 모음 - %(echo %3) \
Group:       User Interface/X \
\
\
%post %1 \
if [ -x %{_bindir}/fc-cache ]; then \
    %{_bindir}/fc-cache %{fontdir} || : \
fi \
\
\
%postun %1 \
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then \
    %{_bindir}/fc-cache %{fontdir} || : \
fi\
\
\
%files %1 \
%defattr(0644,root,root,0755) \
%doc COPYING README \
\
%config(noreplace) %{fontconfdir}65-%{fontname}-%(echo %1).conf \
\
%dir %{fontdir} \
%{fontdir}%(echo %2)*.ttf

%un_subpkg batang UnBatang 은바탕
%un_subpkg batangbold UnBatangBold 은바탕굵은
%un_subpkg dinaru UnDinaru 은디나루
%un_subpkg dinarubold UnDinaruBold 은디나루굵은
%un_subpkg dinarulight UnDinaruLight 은디나루가는
%un_subpkg dotum UnDotum 은돋음
%un_subpkg dotumbold UnDotumBold 은돋음굵은
%un_subpkg graphic UnGraphic 은그래픽
%un_subpkg graphicbold UnGraphicBold 은그래픽굵은
%un_subpkg gungseo UnGungseo 은궁서
%un_subpkg pilgi UnPilgi 은필기
%un_subpkg pilgibold UnPilgiBold 은필기긁은


%description
%common_desc_en

%description -l ko
%common_desc_ko

%description batang
%common_desc_en

This package includes UnBatang, a serif font.

%description -l ko batang
%common_desc_ko

이 패키지에는 은바탕글꼴이 포함되어 있습니다.

%description batangbold
%common_desc_en

This package includes UnBatangBold, a serif font.

%description -l ko batangbold
%common_desc_ko

이 패키지에는 은바탕굵은글꼴이 포함되어 있습니다.

%description dinaru
%common_desc_en

This package includes UnDinaru, a fantasy font.

%description -l ko dinaru
%common_desc_ko

이 패키지에는 은디나루글꼴이 포함되어 있습니다.
%description dinarubold
%common_desc_en

This package includes UnDinaruBold, a fantasy font.

%description -l ko dinarubold
%common_desc_ko

이 패키지에는 은디나루굵은글꼴이 포함되어 있습니다.

%description dinarulight
%common_desc_en

This package includes UnDinaruLight, a fantasy font.

%description -l ko dinarulight
%common_desc_ko

이 패키지에는 은디나루가는글꼴이 포함되어 있습니다.

%description dotum
%common_desc_en

This package includes UnDotum, a sans-serif font.

%description -l ko dotum
%common_desc_ko

이 패키지에는 은돋음글꼴이 포함되어 있습니다.

%description dotumbold
%common_desc_en

This package includes UnDotum, a sans-serif font.

%description -l ko dotumbold
%common_desc_ko

이 패키지에는 은돋음굵은글꼴이 포함되어 있습니다.

%description graphic
%common_desc_en

This package includes UnGraphic, a sans-serif font.

%description -l ko graphic
%common_desc_ko

이 패키지에는 은그래픽글꼴이 포함되어 있습니다.

%description graphicbold
%common_desc_en

This package includes UnGraphicBold, a sans-serif font.

%description -l ko graphicbold
%common_desc_ko

이 패키지에는 은그래픽굵은글꼴이 포함되어 있습니다.

%description gungseo
%common_desc_en

This package includes UnGungseo, a cursive font.

%description -l ko gungseo
%common_desc_ko

이 패키지에는 은궁서글꼴이 포함되어 있습니다.

%description pilgi
%common_desc_en

This package includes UnPilgi, a script font.

%description -l ko pilgi
%common_desc_ko

이 패키지에는 은필기글꼴이 포함되어 있습니다.

%description pilgibold
%common_desc_en

This package includes UnPilgiBold, a script font.

%description -l ko pilgibold
%common_desc_ko

이 패키지에는 은필기긁은글꼴이 포함되어 있습니다.


%prep
%setup -q -n un-fonts


%build


%install
rm -rf %{buildroot}

install -dm 0755 -d %{buildroot}%{fontdir}
install -pm 0644 -p *.ttf %{buildroot}%{fontdir}

install -dm 0755 -d %{buildroot}%{fontconfdir}
install -pm 0644 -p %{SOURCE1}\
        %{buildroot}%{fontconfdir}65-%{fontname}-batang.conf
install -pm 0644 -p %{SOURCE2}\
        %{buildroot}%{fontconfdir}65-%{fontname}-batangbold.conf
install -pm 0644 -p %{SOURCE3}\
        %{buildroot}%{fontconfdir}65-%{fontname}-dinaru.conf
install -pm 0644 -p %{SOURCE4}\
        %{buildroot}%{fontconfdir}65-%{fontname}-dinarubold.conf
install -pm 0644 -p %{SOURCE5}\
        %{buildroot}%{fontconfdir}65-%{fontname}-dinarulight.conf
install -pm 0644 -p %{SOURCE6}\
        %{buildroot}%{fontconfdir}65-%{fontname}-dotum.conf
install -pm 0644 -p %{SOURCE7}\
        %{buildroot}%{fontconfdir}65-%{fontname}-dotumbold.conf
install -pm 0644 -p %{SOURCE8}\
        %{buildroot}%{fontconfdir}65-%{fontname}-graphic.conf
install -pm 0644 -p %{SOURCE9}\
        %{buildroot}%{fontconfdir}65-%{fontname}-graphicbold.conf
install -pm 0644 -p %{SOURCE10}\
        %{buildroot}%{fontconfdir}65-%{fontname}-gungseo.conf
install -pm 0644 -p %{SOURCE11}\
        %{buildroot}%{fontconfdir}65-%{fontname}-pilgi.conf
install -pm 0644 -p %{SOURCE12}\
        %{buildroot}%{fontconfdir}65-%{fontname}-pilgibold.conf


%clean
rm -rf %{buildroot}


%changelog
* Tue Oct 14 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.6.080608
- fixed subpackage description and fontconfig.

* Wed Jul 16 2008 Jens Petersen <petersen@redhat.com> - 1.0.2-0.5.080608
- add subpackages with a macro

* Mon Jul 07 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.4.080608
- Refined .spec literal

* Sun Jul 06 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.3.080608
- Added or Changed a Summary and Description.
- Removed nil item.
- Refined versioning contents.
- Renamed from un-fonts-core.spec

* Thu Jul 03 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.2.080608
- Refined .spec literal, license, versioning contents.

* Sat Jun 28 2008 Dennis Jang <smallvil@get9.net> - 1.0.2-0.1.080608
- Initial release.
